import { postMultipart } from '#/api/http'

import { BasicService } from '../basic'

class StaffService extends BasicService {
  async importStaff(data: any) {
    return await postMultipart<any>('/examPerson/import', data, {
      timeout: 1000 * 120,
    })
  }

  protected findPageUrl(): string {
    return '/examPerson/list'
  }

  protected removeUrl(): string {
    return ''
  }

  protected saveOrUpdateUrl(): string {
    return '/examPerson/saveOrUpdate'
  }

  protected override switchKeyValues() {
    return [
      {
        key: 'status',
        trueValue: 0,
        falseValue: 1,
      },
    ]
  }
}

export const staffService = new StaffService()
